
  <div class="container">
    <div class="row">
      <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
        <div class="card card-signin my-5">
          <div class="card-body">
            <h5 class="card-title text-center">Sign In</h5>
            <form class="form-signin">
              <div class="alert alert-danger" role="alert" *ngIf="errorMsg">
                {{errorMsg}}
              </div>
              <div class="form-label-group">
                <label for="inputEmail">Username</label>
                <input [(ngModel)]="user.username" #username = 'ngModel'  name='username' id="inputEmail" class="form-control" placeholder="Username" required autofocus>
              </div>
              <div class="form-label-group">
                <label for="inputPassword">Password</label>
                <input  [(ngModel)]="user.password" #password = 'ngModel'  name='password' type="password" id="inputPassword" class="form-control" placeholder="Password" required>
              </div>
              <div class="custom-control custom-checkbox mb-3">
                <input type="checkbox" class="custom-control-input">
                <label class="custom-control-label" for="customCheck1">Remember password</label>
              </div>

              <!-- (click)='handleSubmit()' ---add a click event -->
              <button class="btn btn-lg btn-primary btn-block text-uppercase" type="submit" (click)='handleSubmit()'>Sign in</button>
              <hr class="my-4">
              <button class="btn btn-lg btn-google btn-block text-uppercase" type="submit"><i class="fab fa-google mr-2"></i> Sign in with Google</button>
              <button class="btn btn-lg btn-facebook btn-block text-uppercase" type="submit"  (click) = "facebookSignIn()"><i class="fab fa-facebook-f mr-2"></i> Sign in with Facebook</button>

            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

